Subject: Patch: get a fully qualified hostname

From: "Denis N. Antonioli" <[email-masked]>
Date: Fri, 24 Jul 1998 13:26:42 +0200 (MET DST)

-----BEGIN PGP SIGNED MESSAGE-----

Hi,

The routine pine uses to get the domain name fails when the
name of the computer is not fully qualified, and that causes
pine to add a 'Sender' header.

This is problematic because the Sender will contains an invalid
address and the tools that uses the Sender instead of the From
won't be able to communicate.

This issue has already been discussed in the mailing list, and ended
in proposition to end the /etc/host or /etc/sendmail.cf. Since this
would be a non-trivial change, for which I found no good reference,
I didn't manage to persuade our sys. admin to proceed.

I've found on Déjà News a solution for this problem and adapted it
to pine. The solution is easily applied, has been tested with both
pine 3.9? and 4.0? and gives us satisfaction. 

To use it,
1) save the attachment as 'domnames.fq' (fq = fully qualified)
   in the pine/osdep directory, where it will compliment the
   domnames and domnames.dos
2) edit in os-xxx.ic the line
include(domnames)
   to read
include(domnames.fq)
3) type 'make os-xxx.c' to have the change take effect,
   and build pine again.

I think it would be a good idea to include this alternate domnames.fq
with future distribution of pine, wouldn't it?

Greetings,
	dna

- -- 
  The human mind ordinarily operates at only ten percent of its
  capacity -- the rest is overhead for the operating system.